﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

/* Userbox */
.userbox {
    display: inline-block;
    margin: 3px 17px 0 0;
    position: relative;
    vertical-align: middle;
}

    .userbox > a {
        display: inline-block;
        text-decoration: none;
    }

    .userbox a:hover {
        text-decoration: none;
    }

    .userbox .profile-info,
    .userbox .profile-picture {
        display: inline-block;
        vertical-align: middle;
    }

        .userbox .profile-picture img {
            width: 32px;
            color: transparent;
        }

    .userbox .profile-info {
        margin: 0 25px 0 10px;
    }

    .userbox .name,
    .userbox .role {
        display: block;
    }

    .userbox .name {
        color: #000011;
        font-size: 11px;
        font-size: 1.1rem;
        line-height: 1.2em;
    }

    .userbox .role {
        color: #ACACAC;
        font-size: 10px;
        font-size: 1rem;
        line-height: 1.2em;
    }

    .userbox .custom-caret {
        color: #000011;
        font-size: 16px;
        font-weight: bold;
    }

        .userbox .custom-caret:before {
            content: "\f107";
        }

    /* Userbox - Open */
    .userbox.open > a {
        position: relative;
        z-index: 993;
    }

        .userbox.open > a .custom-caret:before {
            content: "\f106";
        }

    .userbox.open .dropdown-menu {
        border: none;
        box-shadow: 0 1px 2px 1px rgba(0, 0, 0, 0.2);
        -webkit-box-sizing: content-box;
        -moz-box-sizing: content-box;
        box-sizing: content-box;
        left: -11px;
        padding: 45px 10px 0;
        top: -10px;
        width: 100%;
        z-index: 992;
    }

        .userbox.open .dropdown-menu li {
            margin-bottom: 5px;
        }

        .userbox.open .dropdown-menu a {
            border-radius: 2px;
            color: #7d7d7d;
            display: block;
            font-size: 12px;
            font-size: 1.2rem;
            line-height: 15px;
            line-height: 1.5rem;
            padding: 5px 10px;
        }

            .userbox.open .dropdown-menu a:hover {
                background: #cccccc;
                color: white;
            }

        .userbox.open .dropdown-menu i {
            font-size: 17px;
            font-size: 1.7rem;
            margin-right: 3px;
            vertical-align: middle;
        }

/* Userbox - Mobile */
@media only screen and (max-width: 767px) {
    .userbox {
        float: left;
        margin: 16px 0 0 12px;
        position: relative;
    }

        .userbox:after {
            background: #E9E9E6;
            content: '';
            height: 63px;
            margin: 0;
            position: absolute;
            right: -21px;
            top: -18px;
            width: 1px;
        }

        .userbox .profile-picture {
            display: none;
        }

        .userbox.open .dropdown-menu {
            left: -5px;
            padding: 43px 0 0 0;
        }
}

.tooltip-inner {
    max-width: 200px;
    padding: 0.25rem 0.5rem;
    color: #fff;
    text-align: center;
    background-color: #000 ;
    border-radius: 0.25rem;
    font-size: 18px;
}

.robust-title {
    font-size: 3rem; 
    font-weight: bold; 
    text-align: center; 
    margin-top: 20px; 
}